com.brightcove.player.captioning.preferences

## Class CaptionConstants

- java.lang.Object
- - com.brightcove.player.captioning.preferences.CaptionConstants

-     public class CaptionConstants
      extends java.lang.Object

  A set of constants related to loading/saving captions, caption defaults

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_BACKGROUND_COLOR`
    `static int` | `DEFAULT_BACKGROUND_OPACITY`
    `static int` | `DEFAULT_EDGE_COLOR`
    `static int` | `DEFAULT_EDGE_TYPE`
    `static java.lang.String` | `DEFAULT_FONT_SIZE` Caption Default Settings - based on KitKat defaults (PRESET_WHITE_ON_BLACK)
    `static int` | `DEFAULT_FOREGROUND_COLOR`
    `static int` | `DEFAULT_FOREGROUND_OPACITY`
    `static java.lang.String` | `DEFAULT_TYPEFACE`
    `static int` | `DEFAULT_WINDOW_COLOR`
    `static int` | `DEFAULT_WINDOW_OPACITY`
    `static int` | `EDGE_TYPE_DEPRESSED`
    `static int` | `EDGE_TYPE_DROP_SHADOW`
    `static int` | `EDGE_TYPE_NONE` Edge Types
    `static int` | `EDGE_TYPE_OUTLINE`
    `static int` | `EDGE_TYPE_RAISED`
    `static java.lang.String` | `PREF_BACKGROUND_COLOR` Captions Preference Keys
    `static java.lang.String` | `PREF_BACKGROUND_OPACITY`
    `static java.lang.String` | `PREF_CUSTOM`
    `static java.lang.String` | `PREF_EDGE_COLOR`
    `static java.lang.String` | `PREF_EDGE_TYPE`
    `static java.lang.String` | `PREF_FONT_SIZE`
    `static java.lang.String` | `PREF_FOREGROUND_COLOR`
    `static java.lang.String` | `PREF_FOREGROUND_OPACITY`
    `static java.lang.String` | `PREF_LOCALE`
    `static java.lang.String` | `PREF_MASTER_SWITCH`
    `static java.lang.String` | `PREF_PRESET`
    `static java.lang.String` | `PREF_STANDARD`
    `static java.lang.String` | `PREF_TYPEFACE`
    `static java.lang.String` | `PREF_WINDOW_COLOR`
    `static java.lang.String` | `PREF_WINDOW_OPACITY`
    `static int` | `PRESET_BLACK_ON_WHITE`
    `static int` | `PRESET_CUSTOM`
    `static int` | `PRESET_WHITE_ON_BLACK` Presets
    `static int` | `PRESET_YELLOW_ON_BLACK`
    `static int` | `PRESET_YELLOW_ON_BLUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREF_BACKGROUND_COLOR

          public static final java.lang.String PREF_BACKGROUND_COLOR

      Captions Preference Keys
      See Also:
        Constant Field Values

    - #### PREF_BACKGROUND_OPACITY

          public static final java.lang.String PREF_BACKGROUND_OPACITY

      See Also:
        Constant Field Values

    - #### PREF_FOREGROUND_COLOR

          public static final java.lang.String PREF_FOREGROUND_COLOR

      See Also:
        Constant Field Values

    - #### PREF_FOREGROUND_OPACITY

          public static final java.lang.String PREF_FOREGROUND_OPACITY

      See Also:
        Constant Field Values

    - #### PREF_WINDOW_COLOR

          public static final java.lang.String PREF_WINDOW_COLOR

      See Also:
        Constant Field Values

    - #### PREF_WINDOW_OPACITY

          public static final java.lang.String PREF_WINDOW_OPACITY

      See Also:
        Constant Field Values

    - #### PREF_EDGE_COLOR

          public static final java.lang.String PREF_EDGE_COLOR

      See Also:
        Constant Field Values

    - #### PREF_EDGE_TYPE

          public static final java.lang.String PREF_EDGE_TYPE

      See Also:
        Constant Field Values

    - #### PREF_FONT_SIZE

          public static final java.lang.String PREF_FONT_SIZE

      See Also:
        Constant Field Values

    - #### PREF_TYPEFACE

          public static final java.lang.String PREF_TYPEFACE

      See Also:
        Constant Field Values

    - #### PREF_LOCALE

          public static final java.lang.String PREF_LOCALE

      See Also:
        Constant Field Values

    - #### PREF_PRESET

          public static final java.lang.String PREF_PRESET

      See Also:
        Constant Field Values

    - #### PREF_CUSTOM

          public static final java.lang.String PREF_CUSTOM

      See Also:
        Constant Field Values

    - #### PREF_STANDARD

          public static final java.lang.String PREF_STANDARD

      See Also:
        Constant Field Values

    - #### PREF_MASTER_SWITCH

          public static final java.lang.String PREF_MASTER_SWITCH

      See Also:
        Constant Field Values

    - #### EDGE_TYPE_NONE

          public static final int EDGE_TYPE_NONE

      Edge Types
      See Also:
        Constant Field Values

    - #### EDGE_TYPE_OUTLINE

          public static final int EDGE_TYPE_OUTLINE

      See Also:
        Constant Field Values

    - #### EDGE_TYPE_DROP_SHADOW

          public static final int EDGE_TYPE_DROP_SHADOW

      See Also:
        Constant Field Values

    - #### EDGE_TYPE_RAISED

          public static final int EDGE_TYPE_RAISED

      See Also:
        Constant Field Values

    - #### EDGE_TYPE_DEPRESSED

          public static final int EDGE_TYPE_DEPRESSED

      See Also:
        Constant Field Values

    - #### PRESET_WHITE_ON_BLACK

          public static final int PRESET_WHITE_ON_BLACK

      Presets
      See Also:
        Constant Field Values

    - #### PRESET_BLACK_ON_WHITE

          public static final int PRESET_BLACK_ON_WHITE

      See Also:
        Constant Field Values

    - #### PRESET_YELLOW_ON_BLACK

          public static final int PRESET_YELLOW_ON_BLACK

      See Also:
        Constant Field Values

    - #### PRESET_YELLOW_ON_BLUE

          public static final int PRESET_YELLOW_ON_BLUE

      See Also:
        Constant Field Values

    - #### PRESET_CUSTOM

          public static final int PRESET_CUSTOM

      See Also:
        Constant Field Values

    - #### DEFAULT_FONT_SIZE

          public static final java.lang.String DEFAULT_FONT_SIZE

      Caption Default Settings - based on KitKat defaults (PRESET_WHITE_ON_BLACK)
      See Also:
        Constant Field Values

    - #### DEFAULT_TYPEFACE

          public static final java.lang.String DEFAULT_TYPEFACE

      See Also:
        Constant Field Values

    - #### DEFAULT_EDGE_TYPE

          public static final int DEFAULT_EDGE_TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_EDGE_COLOR

          public static final int DEFAULT_EDGE_COLOR

      See Also:
        Constant Field Values

    - #### DEFAULT_FOREGROUND_COLOR

          public static final int DEFAULT_FOREGROUND_COLOR

      See Also:
        Constant Field Values

    - #### DEFAULT_FOREGROUND_OPACITY

          public static final int DEFAULT_FOREGROUND_OPACITY

      See Also:
        Constant Field Values

    - #### DEFAULT_BACKGROUND_COLOR

          public static final int DEFAULT_BACKGROUND_COLOR

      See Also:
        Constant Field Values

    - #### DEFAULT_BACKGROUND_OPACITY

          public static final int DEFAULT_BACKGROUND_OPACITY

      See Also:
        Constant Field Values

    - #### DEFAULT_WINDOW_COLOR

          public static final int DEFAULT_WINDOW_COLOR

      See Also:
        Constant Field Values

    - #### DEFAULT_WINDOW_OPACITY

          public static final int DEFAULT_WINDOW_OPACITY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CaptionConstants

          public CaptionConstants()